package com.docus.server.report.service;

import com.docus.server.report.api.dto.ReportDto;

import java.util.List;

/**
 * 报告服务
 * @author wyb
 */
public interface ReportService {

    /**
     * 上报文件
     * @param reportDto 上报文件参数
     */
    void report(ReportDto reportDto);

    /**
     * 上报文件,顺德人医的报告信息和报告地址是两个接口推送的，做了一层等待
     * @param reportDto 上报文件参数
     */
    void reportBuffer(ReportDto reportDto);

    /**
     * 根据任务id集合补偿下载
     * @param taskIds 任务id集合
     */
    void makeupThreePartyPushReportByTaskIds(List<Long> taskIds) throws  Exception;

}
